SpringBoot Idea 启动报错 Process finished with exit code 1

2019/05/16 17:29
阅读数 1.5K

 

问题描述:没有其他任何错误日志,只有Process finished with exit code 1

问题原因:Maven POM.xml问题造成

由于是properties是我直接从其他项目中拷贝过来没有做处理,造成依赖混乱,导致项目启动失败

<properties> <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding> <java.version>1.8</java.version>

   ~~<commons-codec.version>1.10</commons-codec.version>~~
  ~~<jjwt.version>0.7.0</jjwt.version>~~
  ~~<codehaus-jackson.version>1.9.13</codehaus-jackson.version>~~
  ~~<mybatis-starter-version>1.2.0</mybatis-starter-version>~~
  ~~<mybatis.plus.version>2.0.7</mybatis.plus.version>~~
  ~~<druid.version>1.0.29</druid.version>~~
  ~~<mapper.version>3.4.0</mapper.version>~~
  ~~<springframework.version>4.3.8.RELEASE</springframework.version>~~
  ~~<paascloud.security.version>1.0</paascloud.security.version>~~
  ~~<saascloud.version>1.0-SNAPSHOT</saascloud.version>~~
  ~~<elastic-job.version>2.1.5</elastic-job.version>~~
  ~~<curator.version>2.10.0</curator.version>~~
  ~~<mysql.version>5.1.39</mysql.version>~~
  ~~<maven-compiler-plugin.version>3.5.1</maven-compiler-plugin.version>~~
  ~~<maven-javadoc-plugin.version>2.10.4</maven-javadoc-plugin.version>~~
  <maven-source-plugin.version>3.0.1</maven-source-plugin.version>~~
  <guava.version>17.0</guava.version>
  ~~<~~boot.admin.version>1.5.7</boot.admin.version>~~
  ~~<httpclientutil.version>1.0</httpclientutil.version>~~
  ~~<feign.form.spring.version>3.0.3</feign.form.spring.version>~~
  ~~~~<spring.version>4.3.11.RELEASE</spring.version>~~~~
  ~~<fastjson.version>1.2.29</fastjson.version>~~
  ~~<modelmapper.version>1.1.2</modelmapper.version>~~
  <rocketmq.version>4.1.0-incubating</rocketmq.version>~~
</properties>
<dependency>
  <groupId>com.google.guava</groupId>
  <artifactId>guava</artifactId>
  <version>${guava.version}</version>
</dependency>
<!-- https://mvnrepository.com/artifact/com.alibaba/fastjson -->
<dependency>
  <groupId>com.alibaba</groupId>
  <artifactId>fastjson</artifactId>
  <version>1.2.58</version>
</dependency>

properties 中定义的version和dependency中的version冲突造成

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部